VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IScaleFactorChangedListener Class Referenceabstract
Inheritance diagram for IScaleFactorChangedListener:

## Public Member Functions
virtual | ~IScaleFactorChangedListener () noexcept=default
virtual void | onScaleFactorChanged (CFrame *frame, double newScaleFactor)=0

## Constructor & Destructor Documentation

virtual ~IScaleFactorChangedListener | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

virtual void onScaleFactorChanged | ( | CFrame * | frame,
|  | double | newScaleFactor
| ) |  |
| pure virtual

Implemented in CExternalControl, CShadowViewContainer, COpenGLView, CLayeredViewContainer, and CExternalView.

The documentation for this class was generated from the following file:

- iscalefactorchangedlistener.h